%define name ledgerhelpers
%define version 0.2.3
%define unmangled_version 0.2.3
%define unmangled_version 0.2.3
%define release 1%{?dist}

Summary: A collection of helper programs and a helper library for Ledger (ledger-cli)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPLv2+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
Requires: gobject-introspection gtk3 pygobject3 ledger-python python-yahoo-finance
Url: http://github.com/Rudd-O/ledgerhelpers

%description
Ledger helpers (ledgerhelpers)
============================

This is a collection of small single-purpose programs to aid your accounting
with [Ledger](https://github.com/ledger/ledger) (ledger-cli).  Think of it
as the batteries that were never included with Ledger.

Why should you use them?  Because:


* All the ledgerhelpers have been designed with fast data entry in mind,
  and they will remember or evoke existing data as needed, to help you minimize
  typing and other drudgery.
* They all have launcher icons in your desktop environment -- this makes it
  very easy to add icons or shortcuts for them, so you can run them on the spot.

This package also contains a library with common functions that you can use
in your project to make it easier to develop software compatible with Ledger.

What can you do with these programs
-----------------------------------

* Enter transactions easily with
  [addtrans](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/addtrans).
* Update your price quotes with
  [updateprices](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/updateprices).
* Record multi-currency ATM withdrawals with
  [withdraw-cli](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/withdraw-cli).
* Record FIFO stock or commodity sales with
  [sellstock-cli](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/sellstock).
* Interactively clear transactions with
  [cleartrans-cli](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/cleartrans-cli).
* Keep your ledger chronologically sorted with
  [sottrans-cli](https://github.com/Rudd-O/ledgerhelpers/blob/master/bin/sorttrans-cli).

Usage and manuals
-----------------

* [How to add transactions with `addtrans`](doc/addtrans.md)

How to download and install
---------------------------

Here are instructions to install the very latest iteration of ledgerhelpers:

On Linux systems that support RPM packages:

* Obtain the package with `git clone https://github.com/Rudd-O/ledgerhelpers`
* Change to the directory `cd ledgerhelpers`
* Create an installable package with `python setup.py bdist_rpm`
* Install the package with `sudo rpm -Uvh dist/*noarch.rpm`

On other Linux systems:

* Obtain the package with `git clone https://github.com/Rudd-O/ledgerhelpers`
* Change to the directory `cd ledgerhelpers`
* Install directly with `sudo python setup.py install`

On Mac OS X, the `python setup.py install` routine appears to have some problems,
however this should be reasonably easy to fix by excluding the files in
`/usr/share/applications` from being installed.  I await for more information
on how to mitigate this issue.  In the meantime, the programs in `bin/` can run
from the source directory, but you still need to install the right dependencies,
such as GTK+ 3 or later, and the Python GObject introspection library.


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
